summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2016-12-21 11:40:31 +0100
committerPatrice Clement <monsieurp@gentoo.org>2016-12-21 11:46:16 +0100
commit6726517a29013614c9e61a89fe1803f1abfd55c9 (patch)
tree193b5000a68700ea5402ffa6ca6649d0e2f71f71 /sys-devel/bmake
parentsys-devel/bmake: apply same patch as 509958d5f806cd6f355a74dbd69f37372817e8c0... (diff)
downloadgentoo-6726517a29013614c9e61a89fe1803f1abfd55c9.tar.gz
gentoo-6726517a29013614c9e61a89fe1803f1abfd55c9.tar.bz2
gentoo-6726517a29013614c9e61a89fe1803f1abfd55c9.zip
sys-devel/bmake: tidy up ebuilds a bit.
Package-Manager: portage-2.3.0
Diffstat (limited to 'sys-devel/bmake')
-rw-r--r--sys-devel/bmake/bmake-20160926-r1.ebuild10
-rw-r--r--sys-devel/bmake/bmake-20161126-r1.ebuild8
2 files changed, 5 insertions, 13 deletions
diff --git a/sys-devel/bmake/bmake-20160926-r1.ebuild b/sys-devel/bmake/bmake-20160926-r1.ebuild
index 0decbb3da16..76e1bcbd608 100644
--- a/sys-devel/bmake/bmake-20160926-r1.ebuild
+++ b/sys-devel/bmake/bmake-20160926-r1.ebuild
@@ -15,10 +15,6 @@ SRC_URI="http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x64-freebsd"
-IUSE=""
-
-DEPEND=""
-RDEPEND=""
S="${WORKDIR}/${PN}"
@@ -34,7 +30,7 @@ src_compile() {
}
src_test() {
- cd unit-tests
+ cd unit-tests || die
LC_ALL=C env -u A ${S}/bmake -r -m . > test.out 2>&1 \
|| die "tests compilation failed"
sed -i \
@@ -47,8 +43,8 @@ src_test() {
}
src_install() {
- dobin ${PN}
- doman ${PN}.1
+ dobin "${PN}"
+ doman "${PN}.1"
FORCE_BSD_MK=1 SYS_MK_DIR=. \
sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \
|| die "failed to install mk files"
diff --git a/sys-devel/bmake/bmake-20161126-r1.ebuild b/sys-devel/bmake/bmake-20161126-r1.ebuild
index 697a91a2f14..76e1bcbd608 100644
--- a/sys-devel/bmake/bmake-20161126-r1.ebuild
+++ b/sys-devel/bmake/bmake-20161126-r1.ebuild
@@ -15,10 +15,6 @@ SRC_URI="http://void.crufty.net/ftp/pub/sjg/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x64-freebsd"
-IUSE=""
-
-DEPEND=""
-RDEPEND=""
S="${WORKDIR}/${PN}"
@@ -34,7 +30,7 @@ src_compile() {
}
src_test() {
- cd unit-tests
+ cd unit-tests || die
LC_ALL=C env -u A ${S}/bmake -r -m . > test.out 2>&1 \
|| die "tests compilation failed"
sed -i \
@@ -47,7 +43,7 @@ src_test() {
}
src_install() {
- dobin ${PN}
+ dobin "${PN}"
doman "${PN}.1"
FORCE_BSD_MK=1 SYS_MK_DIR=. \
sh ../mk/install-mk -v -m 644 "${ED}"/usr/share/mk/${PN} \